## org.apache.poi.hslf.model
Class ActiveXShape

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.Picture
                  org.apache.poi.hslf.model.ActiveXShape

    public final class ActiveXShape

extends Picture

Represents an ActiveX control in a PowerPoint document. TODO: finish

Author:
  Yegor Kozlov

Field Summary
`static int` `DEFAULT_ACTIVEX_THUMBNAIL`

Fields inherited from class org.apache.poi.hslf.model.Picture
`DIB, EMF, JPEG, PICT, PNG, WMF`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`_clientData, _clientRecords, DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` `ActiveXShape(EscherContainerRecord escherRecord, Shape parent)` Create a `Picture` object
`` `ActiveXShape(int movieIdx, int pictureIdx)` Create a new `Picture`

Method Summary
`protected void` `afterInsert(Sheet sheet)` By default set the orininal image size
`protected EscherContainerRecord` `createSpContainer(int idx, boolean isChild)` Create a new Placeholder and initialize internal structures
`int` `getControlIndex()`
`ExControl` `getExControl()` Document-level container that specifies information about an ActiveX control
`void` `setActiveXIndex(int idx)` Assign a control to this shape
`void` `setProperty(java.lang.String key, java.lang.String value)` Set a property of this ActiveX control

Methods inherited from class org.apache.poi.hslf.model.Picture
`draw, getEscherBSERecord, getPictureData, getPictureIndex, getPictureName, setDefaultSize, setPictureName`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`createSpContainer, getClientDataRecord, getClientRecords, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation, updateClientData`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ACTIVEX_THUMBNAIL

    public static final int DEFAULT_ACTIVEX_THUMBNAIL

See Also:
  Constant Field Values

Constructor Detail

### ActiveXShape

    public ActiveXShape(int movieIdx,
                        int pictureIdx)

  Create a new `Picture`

  Parameters:
    `pictureIdx` - the index of the picture

### ActiveXShape

    protected ActiveXShape(EscherContainerRecord escherRecord,
                           Shape parent)

  Create a `Picture` object

  Parameters:
    `escherRecord` - the `EscherSpContainer` record which holds information about this picture in the `Slide`
    `parent` - the parent shape of this picture

Method Detail

### createSpContainer

    protected EscherContainerRecord createSpContainer(int idx,
                                                      boolean isChild)

  Create a new Placeholder and initialize internal structures

  Overrides:
    `createSpContainer` in class `Picture`
  Parameters:
    `idx` - the index of the picture which referes to `EscherBSE` container.
  Returns:
    the created `EscherContainerRecord` which holds shape data

### setActiveXIndex

    public void setActiveXIndex(int idx)

  Assign a control to this shape

  Parameters:
    `idx` - the index of the movie
  See Also:
    `SlideShow.addMovie(String, int)`

### getControlIndex

    public int getControlIndex()

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Set a property of this ActiveX control

  Parameters:
    `key` -
    `value` -

### getExControl

    public ExControl getExControl()

  Document-level container that specifies information about an ActiveX control

  Returns:
    container that specifies information about an ActiveX control

### afterInsert

    protected void afterInsert(Sheet sheet)

  Description copied from class: `Picture`
  By default set the orininal image size

  Overrides:
    `afterInsert` in class `Picture`
  Parameters:
    `sheet` - - owning shape

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.